Package org.spongepowered.asm.obfuscation.mapping

## Enum IMapping.Type

- java.lang.Object
- - java.lang.Enum<IMapping.Type>
  - - org.spongepowered.asm.obfuscation.mapping.IMapping.Type

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<IMapping.Type>`
  Enclosing interface:
    IMapping<TMapping>

      public static enum IMapping.Type
      extends java.lang.Enum<IMapping.Type>

  Type of mapping

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CLASS` |
    `FIELD` |
    `METHOD` |
    `PACKAGE` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static IMapping.Type` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static IMapping.Type[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FIELD

          public static final IMapping.Type FIELD

    - #### METHOD

          public static final IMapping.Type METHOD

    - #### CLASS

          public static final IMapping.Type CLASS

    - #### PACKAGE

          public static final IMapping.Type PACKAGE

  - ### Method Detail

    - #### values

          public static IMapping.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IMapping.Type c : IMapping.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IMapping.Type valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null